# ${UNIQUE_IDENTIFIER} in this file is the same value as defined in "im.sh" and "deploy.sh".
# Replace it either manually or by uncommenting the relevant line in "deploy.sh" script.
# Replacing this value is not required since all deployment should have unique namespaces.
# Exception to this is the:
#     1. namespace = "gitlab-${UNIQUE_IDENTIFIER}" (replace with the namespace defined in "im.sh" and "deploy.sh")
#     2. "GOOGLE_APPLICATION_EMAIL=gitlab-runner-${UNIQUE_IDENTIFIER}@tu-sofia-pis-2022-dev.iam.gserviceaccount.com" (replace it with the defines service account in "im.sh")
# If you chose not to replace ${UNIQUE_IDENTIFIER}, remove "-${UNIQUE_IDENTIFIER}" from
# everywhere in this file, except for the two configurations listed above.
apiVersion: v1
kind: ConfigMap
metadata:
  name: gitlab-runner-471219027
data:
  config.toml: |
    concurrent = 1

    [[runners]]
      name = "project-471219027"
      url = "https://gitlab.com/"
      token = "9xxZN4AwfxBtvxDmxmi8"
      executor = "kubernetes"
      environment = ["GOOGLE_APPLICATION_CREDENTIALS=/var/secrets/google-key/service-account.json", "GOOGLE_APPLICATION_EMAIL=gitlab-runner-471219027@tu-sofia-pis-2022-dev.iam.gserviceaccount.com"]
      [runners.kubernetes]
        namespace = "gitlab-471219027"
        privileged = true
        cpu_request = "500m"
        memory_request = "1Gi"

      [[runners.kubernetes.volumes.host_path]]
        name = "var-run-docker-sock"
        mount_path = "/var/run/docker.sock"
      [[runners.kubernetes.volumes.host_path]]
        name = "usr-bin-docker"
        mount_path = "/usr/bin/docker"
      [[runners.kubernetes.volumes.secret]]
        name = "google-key"
        mount_path = "/var/secrets/google-key"
        read_only = true
